> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename a table

> Rename a table by its UUID.



## OpenAPI

````yaml PATCH /v1/table/{table_uuid}
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/table/{table_uuid}:
    patch:
      tags:
        - Table
      summary: Rename a table
      description: Rename a table by its UUID.
      operationId: Update_table_v1_table__table_uuid__patch
      parameters:
        - name: table_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The UUID of the table
            title: Table Uuid
          description: The UUID of the table
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RenameTableRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Table'
        '403':
          description: Forbidden
        '404':
          description: Table not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RenameTableRequest:
      properties:
        name:
          type: string
          title: Name
          description: New table name.
      type: object
      required:
        - name
      title: RenameTableRequest
    Table:
      properties:
        identifier:
          type: string
          title: Identifier
        name:
          type: string
          title: Name
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
        workspace_identifier:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Identifier
        table_url:
          type: string
          title: Table Url
          readOnly: true
      type: object
      required:
        - identifier
        - name
        - created_at
        - updated_at
        - table_url
      title: Table
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````